WSNotification::Types::NotificationMessageHolderType(3pm)

NAME
WSNotification::Types::NotificationMessageHolderType

DESCRIPTION
Perl data type class for the XML Schema defined complexType NotificationMessageHolderType from the namespace http://docs.oasis-open.org/wsn/b-2.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SubscriptionReference

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   Topic

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   ProducerReference

    Note: The name of this property has been altered, because it didn't match perl's notion of variable/subroutine names. The altered name is used in perl code only, XML output uses the original name:

•   Message

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::NotificationMessageHolderType
   SubscriptionReference =>  { # WSNotification::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
     },
     Metadata =>  { # WSNotification::Types::MetadataType
     },
   },
   Topic =>  { # WSNotification::Types::TopicExpressionType
   },
   ProducerReference =>  { # WSNotification::Types::EndpointReferenceType
     Address =>  { value => $some_value },
     ReferenceParameters =>  { # WSNotification::Types::ReferenceParametersType
     },
     Metadata =>  { # WSNotification::Types::MetadataType
     },
   },
   Message =>  {
   },
 },

AUTHOR
Generated by SOAP::WSDL